# Class CIM_ClassifierService
extends CIM_ConditioningService

ClassifierService represents a logical entity associated with an ingress or egress interface of a device, that takes a single input stream, and sorts it into one or more output streams. The sorting is done by a set of filters that select packets based on the packet contents, or possibly based on other attributes associated with the packet. Each output stream is the result of matching a particular filter. Rather than being linked directly to its filters (instantiated as FilterLists), a classifier is modeled as an aggregation of ClassifierElements. Each of these ClassifierElements is linked to a single FilterList, by the association ClassifierElementUsesFilterList. Note that ClassifierServices are designed to allow hierarchical classification. When hierarchical classification is used, a ClassifierElement may point to another ClassifierService (via the association, NextServiceAfterClassifierElement). When this is true, the ClassifierElement MUST NOT use the ClassifierElementUses FilterList association. A classifier is modeled as a ConditioningService so that it can be aggregated into a QoSService (using the QoSConditioningSubService aggregation), and can use the NextService association to identify the subsequent ConditioningServices for different traffic streams.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_ConditioningService
|
+--CIM_ClassifierService

## Direct Known Subclasses

CIM_ClassifierElement

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

ClassifierService represents a logical entity associated with an ingress or egress interface of a device, that takes a single input stream, and sorts it into one or more output streams. The sorting is done by a set of filters that select packets based on the packet contents, or possibly based on other attributes associated with the packet. Each output stream is the result of matching a particular filter. Rather than being linked directly to its filters (instantiated as FilterLists), a classifier is modeled as an aggregation of ClassifierElements. Each of these ClassifierElements is linked to a single FilterList, by the association ClassifierElementUsesFilterList. Note that ClassifierServices are designed to allow hierarchical classification. When hierarchical classification is used, a ClassifierElement may point to another ClassifierService (via the association, NextServiceAfterClassifierElement). When this is true, the ClassifierElement MUST NOT use the ClassifierElementUses FilterList association. A classifier is modeled as a ConditioningService so that it can be aggregated into a QoSService (using the QoSConditioningSubService aggregation), and can use the NextService association to identify the subsequent ConditioningServices for different traffic streams.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
Enabled | boolean | CIM_ConditioningService
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service